package thyyxxk.webserver.service.externalhttp;

import com.alibaba.fastjson.JSONObject;
import com.dtflys.forest.annotation.JSONBody;
import com.dtflys.forest.annotation.Post;
import com.dtflys.forest.annotation.Var;
import thyyxxk.webserver.entity.ResultVo;
import thyyxxk.webserver.entity.medicalinsurance.injury.AdmissRegistration;
import thyyxxk.webserver.entity.inpatient.dismiss.MedinsSettleFee;
import thyyxxk.webserver.entity.inpatient.patient.Patient;

import java.util.Map;

public interface SiInjurySystem {

    @Post("{url}/getPersonBaseinfo")
    ResultVo<JSONObject> getPersonBaseinfo(@Var("url") String url, @JSONBody Patient p);

    @Post("{url}/admissRegistration")
    ResultVo<String> admissRegistration(@Var("url") String url, @JSONBody AdmissRegistration adm);

    @Post("{url}/getRegisterInfo")
    ResultVo<Map<String, String>> getRegisterInfo(@Var("url") String url, @JSONBody Patient p);

    @Post("{url}/cancelRegister")
    ResultVo<String> cancelRegister(@Var("url") String url, @JSONBody Patient p);

    @Post("{url}/cancelUploadFee")
    ResultVo<String> cancelUploadFee(@Var("url") String url, @JSONBody Patient p);

    @Post("{url}/preCalculateCost")
    ResultVo<String> preCalculateCost(@Var("url") String url, @JSONBody Patient p);

    @Post("{url}/calculateCost")
    ResultVo<MedinsSettleFee> calculateCost(@Var("url") String url, @JSONBody Patient p);

    @Post("{url}/cancelCalculate")
    ResultVo<String> cancelCalculate(@Var("url") String url, @JSONBody Patient p);
}
